Quote
Returns quote for gift-card transaction
This endpoint will return an quote for gift-card transaction
Create a Gift Card quote.
POST https://api.onramp.money/onramp/api/v2/whiteLabel/giftCard/quote
Request Body
Name
Type
Description
denomination*
Decimal
Denomination of voucher to be purchased. E.g. INR 100 worth of Zomato Voucher
quantity*
Integer
Quantity of vouchers E.g. Two INR 100 worth of Zomato Voucher
voucherId*
Integer
Id associated with voucher
toCurrency*
String
crypto currency to be paid with
E.g. usdt
toChain*
String
network from which deposit will be made E.g. bep20
{
"status": 1,
"code": 200,
"data": {
"quantity": "1.17"
}
}{
"status": 0,
"code": 400,
"error": "Missing either parameters denomination, quantity, voucherId, toCurrency, toChain"
}{
"status": 0,
"code": 500,
"error": "Internal Server Error"
}quantity: crypto amount to be paid for the order
Last updated